/*
 * subgenreitm.h: declaration of a class that holds subgenre data for display.
 *
 * See the README file for copyright information and how to reach the author.
 *
 * $Id$
 */
#ifndef _SUBGENREITEM_H
#define _SUBGENREITEM_H
#include <vdr/osdbase.h>
class cSubGenreReader;

class cMenuSubGenreItem : public cOsdItem {
friend class cSubGenreReader;	
public:
  cMenuSubGenreItem() { cMenuSubGenreItem(0,"",0); };
  cMenuSubGenreItem(int, char*, int);
 ~cMenuSubGenreItem();

  int		Id() { return id; }
  char * Name() { return name; }
  int    Count() { return count; }
  void   Compile();

protected: 
  void   SetId(int i) { id = i; }
  void   SetName(char *p) { name = p; }
  void   SetCount(int c) { count = c; }

private:
  int		id;
  char * name;
  int    count;
  };

#endif
